Bug 26005 - OPAC cart display fails with error
Summary: OPAC cart display fails with error
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low critical (vote)
Assignee: Owen Leonard
QA Contact: Tomás Cohen Arazi
URL:
Keywords:
Depends on: 25402
Blocks: 26008
  Show dependency treegraph
 
Reported: 2020-07-17 13:55 UTC by Owen Leonard
Modified: 2021-04-06 10:42 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
This fixes a problem with the OPAC cart - it should now work correctly when opened, instead of generating an error message.
Version(s) released in:
20.11.00, 20.05.03


Attachments
Bug 26005: OPAC cart display fails with error (1.11 KB, patch)
2020-07-17 14:00 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26005: OPAC cart display fails with error (1.25 KB, patch)
2020-07-20 11:35 UTC, Frédéric Demians
Details | Diff | Splinter Review
Bug 26005: OPAC cart display fails with error (1.31 KB, patch)
2020-07-20 12:42 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-07-17 13:55:38 UTC
Bug 25402 was supposed to have depended on Bug 5087 but somehow that got missed during QA. 

The result is that the OPAC cart is completely broken, giving this error when the cart window is opened:

DBIx::Class::Storage::DBI::_dbh_execute(): Unknown column 'opac_option' in 'where clause' at /kohadevbox/koha/Koha/Objects.pm line 144
 at /usr/share/perl5/DBIx/Class/Exception.pm line 77
Comment 1 Owen Leonard 2020-07-17 14:00:12 UTC
Created attachment 107012 [details] [review]
Bug 26005: OPAC cart display fails with error

This patch removes the "opac_option" parameter from opac-basket.pl. It
was included in Bug 25402 because the bug was dependent on 5087.

To test, apply the patch and add some items to the Cart in the OPAC.
Click the Cart button to show the cart. The pop-up window should load
correctly without errors.
Comment 2 Frédéric Demians 2020-07-20 11:35:45 UTC
Created attachment 107086 [details] [review]
Bug 26005: OPAC cart display fails with error

This patch removes the "opac_option" parameter from opac-basket.pl. It
was included in Bug 25402 because the bug was dependent on 5087.

To test, apply the patch and add some items to the Cart in the OPAC.
Click the Cart button to show the cart. The pop-up window should load
correctly without errors.

Signed-off-by: Frédéric Demians <f.demians@tamil.fr>
Comment 3 Tomás Cohen Arazi 2020-07-20 12:42:43 UTC
Created attachment 107088 [details] [review]
Bug 26005: OPAC cart display fails with error

This patch removes the "opac_option" parameter from opac-basket.pl. It
was included in Bug 25402 because the bug was dependent on 5087.

To test, apply the patch and add some items to the Cart in the OPAC.
Click the Cart button to show the cart. The pop-up window should load
correctly without errors.

Signed-off-by: Frédéric Demians <f.demians@tamil.fr>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 4 Tomás Cohen Arazi 2020-07-20 12:46:20 UTC
Out of the scope of this bug: why did we loose control on which profiles can be used in the OPAC? I will file a bug for that. The current implementation doesn't allow to limit which profiles to offer the end-user.
Comment 5 Jonathan Druart 2020-07-20 15:49:34 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Katrin Fischer 2020-07-20 20:27:11 UTC
(In reply to Tomás Cohen Arazi from comment #4)
> Out of the scope of this bug: why did we loose control on which profiles can
> be used in the OPAC? I will file a bug for that. The current implementation
> doesn't allow to limit which profiles to offer the end-user.

Hi, what profiles do you mean?
Comment 7 Tomás Cohen Arazi 2020-07-20 20:34:22 UTC
(In reply to Katrin Fischer from comment #6)
> (In reply to Tomás Cohen Arazi from comment #4)
> > Out of the scope of this bug: why did we loose control on which profiles can
> > be used in the OPAC? I will file a bug for that. The current implementation
> > doesn't allow to limit which profiles to offer the end-user.
> 
> Hi, what profiles do you mean?

I didn't notice bug 5087, so I thougt that was already part of Koha.
Comment 8 Lucas Gass 2020-07-25 18:07:36 UTC
backported to 20.05.x for 20.05.03
Comment 9 Aleisha Amohia 2020-08-03 22:44:02 UTC
missing dependencies, not backported to 19.11.x
Comment 10 Vidya 2021-04-06 02:06:35 UTC
(In reply to Owen Leonard from comment #0)
> Bug 25402 was supposed to have depended on Bug 5087 but somehow that got
> missed during QA. 
> 
> The result is that the OPAC cart is completely broken, giving this error
> when the cart window is opened:
> 
> DBIx::Class::Storage::DBI::_dbh_execute(): Unknown column 'opac_option' in
> 'where clause' at /kohadevbox/koha/Koha/Objects.pm line 144
>  at /usr/share/perl5/DBIx/Class/Exception.pm line 77

Sir,
My website: http://bhavanslibrary.com
After adding books to cart, when I try to view the cart, it shows internal Server error. I think this patch will fix the error. But I do not know how to apply this patch. Can you guide me how to apply this patch on my site?
Regards
Vidyasagar P V
Comment 11 Katrin Fischer 2021-04-06 06:48:53 UTC
You can see in the field "Version(s) released in" which versions include the patch for this. If you are on a later version and still seeing this bug, please report a new bug. If you are on an earlier version, you should consider updating.
Comment 12 Vidya 2021-04-06 08:39:23 UTC
I have installed version 20.05.02.000 only. I will upgrade it and let you know the status. Thanks for the help
Comment 13 Vidya 2021-04-06 10:05:51 UTC
I tried to upgrade by adding echo 'deb http://debian.koha-community.org/koha 20.11 main' | sudo tee /etc/apt/sources.list.d/koha.list
sudo apt-get update
sudo apt-get upgrade
The following packages have been kept back:  koha-common
So it is not getting up upgraded. any suggestions?
Comment 14 Owen Leonard 2021-04-06 10:42:27 UTC
The comments section of a closed bug report is not the right forum in which to ask this kind of question.

Questions about Koha should be asked on the Koha mailing list (http://koha-community.org/support/koha-mailing-lists/) or in the #koha IRC channel (http://koha-community.org/get-involved/irc/).

Hopefully you've already seen the Koha documentation: http://koha-community.org/documentation/

You can also find options for paid support here: https://koha-community.org/support/